#!/bin/sh
# $Id: t-db-0.sh,v 1.3 2006/09/30 16:13:11 ca Exp $
# Copyright (c) 2006 Claus Assmann
#
# By using this file, you agree to the terms and conditions set
# forth in the license/LICENSE.3C file which can be found at the
# top level of this source code distribution.
#
# ------------------------------------------------------------
# Description:
# Script to test various maps
# Uses t-bdbr-0
# ------------------------------------------------------------
#
test -s stop && exit 1
#

ERRS=0
PRG=./t-bdbr-0

MAPTYPES="`${PRG} -l 0 2>/dev/null`"
for maptype in ${MAPTYPES}
do
  ${PRG} -T ${maptype}
  if test $? != 0
  then
    echo "$0: failure for ${maptype}"
    ERRS=`expr ${ERRS} + 1 `
  fi
done

exit ${ERRS}
