#!/bin/sh
# $Id: t-mkdir.sh,v 1.3 2007/10/25 14:42:28 ca Exp $
# Copyright (c) 2004 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
test -s stop && exit 1
#
D="td3/td2/td1"
D2="td3/td2"
D3="td3"
H=`pwd`/td3

rm -rf ${D3}
./t-mkdir ${D}
test -d ${D3} || exit 1
test -d ${D2} || exit 1
test -d ${D} || exit 1
rm -rf ${D3}

mkdir ${D3}
./t-mkdir ${D}
test -d ${D3} || exit 1
test -d ${D2} || exit 1
test -d ${D} || exit 1
rm -rf ${D3}

mkdir -p ${D2}
./t-mkdir ${D}
test -d ${D3} || exit 1
test -d ${D2} || exit 1
test -d ${D} || exit 1
rm -rf ${D3}

rm -rf ${H}
./t-mkdir ${H}
test -d ${H} || exit 1
rm -rf ${H}

exit 0
