/*
 * Copyright (c) 2002, 2005 Sendmail, Inc. and its suppliers.
 *	All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: wait.h,v 1.4 2007/09/29 02:15:42 ca Exp $
 */

#ifndef SM_WAIT_H
#define SM_WAIT_H 1

#include <sys/wait.h>

/* type of failures (wait() status) */
#define SM_FAILED_IGNORE	0	/* don't count as failure */
#define SM_FAILED_COUNT		1	/* count as failure */
#define SM_FAILED_STOP		2	/* don't retry; "hard" error */
#define SM_FAILED_RESTARTDEP 3	/* "hard" error: restart "depends on" */
#define SM_FAILED_RESTARTALL 4	/* "hard" error: restart all */

int sm_child_status(int _status);
int exit2txt_r(int _status, char *_errbuf, size_t _buflen);

#endif /* SM_WAIT_H */
