/*
 * Copyright (c) 2003-2005 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: aqrdq.h,v 1.7 2006/11/11 18:17:18 ca Exp $
 */

#ifndef AQ_RDQ_H
#define AQ_RDQ_H

#include "sm/generic.h"
#include "sm/types.h"
#include "sm/actdb.h"
#include "sm/aqrdqstr.h"

sm_ret_T aq_rdq_new(aq_ctx_P _aq_ctx, uint _da_idx, ipv4_T _ipv4, aqrdq_ctx_P *_paqrdq_ctx);
sm_ret_T aq_rdq_free(aq_ctx_P _aq_ctx, aqrdq_ctx_P _aqrdq_ctx);
void	 aq_rdq_ht_free(void *_value, void *_key, void *_ctx);

#endif /* AQ_RDQ_H */
